Name:           contour
Version:        0.3
Release:        1%{?dist}
Summary:        A context sensitive user interface for Plasma Active

License:        GPLv2+
URL:            http://community.kde.org/Plasma/Active/Contour
Source0:        http://download.kde.org/stable/active/3.0/src/%{name}-%{version}.tar.xz
Patch0:         qtmobility.diff
Patch1:         contour-0.1.1-find-qtmobility.patch

BuildRequires:  kdelibs4-devel
BuildRequires:  kde-runtime-devel
BuildRequires:  kde-workspace-devel
BuildRequires:  pkgconfig(libkactivities)
BuildRequires:  pkgconfig(soprano)
BuildRequires:  pkgconfig(shared-desktop-ontologies)
BuildRequires:  kde-runtime-devel
BuildRequires:  kde-workspace-devel

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
Contour contributes a new usage paradigm using adaptive activities and 
intelligent recommendations. Contour creates a context-sensitive user
interface that adapts to current context, current activities and behavioral
patterns of the user. 

Contour is part of Plasma Active project.


%prep
%setup -q

# FindQtMobility is under review for inclusion to kdelibs, not needed
# by any other package
# TODO: remove once included in kdelibs
%patch0 -p1
%patch1 -p1 -b .find-qtmobility

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%doc
%{_kde4_bindir}/contour
%{_kde4_libdir}/kde4/contour_recommendationengine_documents.so
%{_kde4_libdir}/kde4/plasma_engine_recommendations.so
%{_kde4_datadir}/autostart/contour.desktop
%{_kde4_datadir}/cmake/Contour/
%{_kde4_appsdir}/contour/
%{_kde4_appsdir}/plasma/
%{_kde4_sharedir}/kde4/services/*
%{_kde4_sharedir}/kde4/servicetypes/*


%changelog
* Sat Oct 27 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3-1
- 0.3

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Feb 18 2012 Radek Novacek <rnovacek@redhat.com> - 0.1.2-1
- Update to 0.1.2 (PA2)

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 08 2011 Jaroslav Reznik <jreznik@redhat.com> - 0.1.1-1
- initial try

